{
  "meta": {
    "restrictions": [
      {
        "resUri": "/capability/switch/main",
        "property": "power",
        "type": 1,
        "value": "on,off"
      },
      {
        "resUri": "/capability/filterStatus/main",
        "property": "currentMachineState",
        "type": 1,
        "value": "normal,replace"
      },
      {
        "resUri": "/capability/energyMeter/main",
        "property": "unit",
        "type": 1,
        "value": "w,kw,mw"
      }
    ],
    "resDesc": [
      {
        "resUri": "/capability/switch/main",
        "name": "WWST Power Switch",
        "desc": "Turn on and off a device\n"
      },
      {
        "resUri": "/capability/dryerMode/main",
        "name": "WWST Dryer mode",
        "desc": "Dryer mode\n"
      },
      {
        "resUri": "/capability/dryerOperatingState/main",
        "name": "WWST Dryer job state",
        "desc": "Dryer job state\n"
      },
      {
        "resUri": "/capability/filterStatus/main",
        "name": "WWST Filter State",
        "desc": "Filter State\n"
      },
      {
        "resUri": "/capability/energyMeter/main",
        "name": "Energy Meter",
        "desc": "This resource describes the energy consumed by the device as reported by the Energy meter."
      }
    ],
    "propDesc": [
      {
        "resUri": "/capability/switch/main",
        "property": "power",
        "desc": "State of the power switch."
      },
      {
        "resUri": "/capability/dryerMode/main",
        "property": "modes",
        "desc": "Desired mode"
      },
      {
        "resUri": "/capability/dryerMode/main",
        "property": "supportedModes",
        "desc": "Array of possible modes the device supports."
      },
      {
        "resUri": "/capability/dryerOperatingState/main",
        "property": "jobStates",
        "desc": "array of the possible job states."
      },
      {
        "resUri": "/capability/dryerOperatingState/main",
        "property": "machineStates",
        "desc": "array of the possible currentMachineState."
      },
      {
        "resUri": "/capability/dryerOperatingState/main",
        "property": "startingTime",
        "desc": "Start time in the current operational state"
      },
      {
        "resUri": "/capability/dryerOperatingState/main",
        "property": "currentJobState",
        "desc": "Currently active jobState"
      },
      {
        "resUri": "/capability/dryerOperatingState/main",
        "property": "currentMachineState",
        "desc": "Currently active currentMachineState"
      },
      {
        "resUri": "/capability/dryerOperatingState/main",
        "property": "endingTime",
        "desc": "End time in the current operational state"
      },
      {
        "resUri": "/capability/filterStatus/main",
        "property": "machineStates",
        "desc": "array of the possible operational states."
      },
      {
        "resUri": "/capability/filterStatus/main",
        "property": "currentMachineState",
        "desc": "Current state of operation of the device."
      },
      {
        "resUri": "/capability/energyMeter/main",
        "property": "unit",
        "desc": "The current state of unit"
      },
      {
        "resUri": "/capability/energyMeter/main",
        "property": "energy",
        "desc": "ReadOnly, Energy consumed"
      }
    ]
  },
  "device": [
    {
      "specification": {
        "device": {
          "deviceType": "x.wwst.d.dryer",
          "deviceName": "[dryer]",
          "specVersion": "core.1.1.0",
          "dataModelVersion": "res.1.1.0"
        },
        "platform": {
          "manufacturerName": "",
          "manufacturerUrl": "http://www.samsung.com",
          "manufacturingDate": "",
          "modelNumber": "0x0100",
          "platformVersion": "",
          "osVersion": "",
          "hardwareVersion": "SWL-CQ52",
          "firmwareVersion": "Virtual Device_0824",
          "vendorId": ""
        }
      },
      "resources": {
        "single": [
          {
            "uri": "/capability/switch/main",
            "types": [
              "x.com.st.powerswitch"
            ],
            "interfaces": [
              "oic.if.a",
              "oic.if.baseline"
            ],
            "policy": 3
          },
          {
            "uri": "/capability/dryerMode/main",
            "types": [
              "x.com.st.mode.dryer"
            ],
            "interfaces": [
              "oic.if.a",
              "oic.if.s",
              "oic.if.baseline"
            ],
            "policy": 3
          },
          {
            "uri": "/capability/dryerOperatingState/main",
            "types": [
              "x.com.st.operationalstate.dryer"
            ],
            "interfaces": [
              "oic.if.a",
              "oic.if.s",
              "oic.if.baseline"
            ],
            "policy": 3
          },
          {
            "uri": "/capability/filterStatus/main",
            "types": [
              "x.com.st.filter"
            ],
            "interfaces": [
              "oic.if.s",
              "oic.if.baseline"
            ],
            "policy": 3
          },
          {
            "uri": "/capability/energyMeter/main",
            "types": [
              "x.com.st.energymeter"
            ],
            "interfaces": [
              "oic.if.baseline",
              "oic.if.s"
            ],
            "policy": 3
          }
        ]
      }
    }
  ],
  "resourceTypes": [
    {
      "type": "x.com.st.powerswitch",
      "properties": [
        {
          "key": "power",
          "type": 3,
          "mandatory": true,
          "rw": 3
        }
      ]
    },
    {
      "type": "x.com.st.mode.dryer",
      "properties": [
        {
          "key": "modes",
          "type": 9,
          "mandatory": true,
          "rw": 3
        },
        {
          "key": "supportedModes",
          "type": 9,
          "mandatory": true,
          "rw": 1
        }
      ]
    },
    {
      "type": "x.com.st.operationalstate.dryer",
      "properties": [
        {
          "key": "jobStates",
          "type": 9,
          "mandatory": true,
          "rw": 1
        },
        {
          "key": "machineStates",
          "type": 9,
          "mandatory": true,
          "rw": 1
        },
        {
          "key": "startingTime",
          "type": 1,
          "mandatory": false,
          "rw": 3
        },
        {
          "key": "currentJobState",
          "type": 3,
          "mandatory": true,
          "rw": 1
        },
        {
          "key": "currentMachineState",
          "type": 3,
          "mandatory": true,
          "rw": 3
        },
        {
          "key": "endingTime",
          "type": 1,
          "mandatory": false,
          "rw": 3
        }
      ]
    },
    {
      "type": "x.com.st.filter",
      "properties": [
        {
          "key": "machineStates",
          "type": 9,
          "mandatory": true,
          "rw": 1
        },
        {
          "key": "currentMachineState",
          "type": 3,
          "mandatory": true,
          "rw": 1
        }
      ]
    },
    {
      "type": "x.com.st.energymeter",
      "properties": [
        {
          "key": "unit",
          "type": 3,
          "mandatory": true,
          "rw": 1
        },
        {
          "key": "energy",
          "type": 2,
          "mandatory": true,
          "rw": 1
        }
      ]
    }
  ],
  "configuration": {
    "easySetup": {
      "connectivity": {
        "type": 1,
        "softAP": {
          "setupId": "001",
          "artik": false
        }
      },
      "ownershipTransferMethod": 2
    },
    "wifi": {
      "interfaces": 15,
      "frequency": 1
    },
    "filePath": {
      "svrdb": "/mnt/artikserversecured.dat",
      "provisioning": "/mnt/provisioning.dat",
      "certificate": "/rom/certificate",
      "privateKey": "/rom/privatekey"
    }
  }
}
